Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#35695 - [bluez4] No tethering possible without certain upstream patches.

Attached to Project: Arch Linux
Opened by George Amanakis (gamanakis) - Friday, 07 June 2013, 17:36 GMT
Last edited by Andreas Radke (AndyRTR) - Sunday, 24 November 2013, 11:17 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Tom Gundersen (tomegun)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
The bluez package in its current form does not allow for tethering with mobile devices (iPhone, Android smartphones etc.)

Steps to reproduce:
Try to tether through Gnome and NetworkManager

Solution:
The attached patches must be applied to the source. Attached patched PKGBUILD.
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Sunday, 24 November 2013, 11:17 GMT
Reason for closing:  Won't fix
Additional comments about closing:  Bleuz4 has been dropped. Please check bluez5 stack.
Comment by Olaf the Lost Viking (OlafLostViking) - Sunday, 09 June 2013, 18:32 GMT
Please see bug #33020 .
Comment by Tom Gundersen (tomegun) - Tuesday, 11 June 2013, 16:42 GMT
Could you link to the upstream patches or give their sha1's. Is there a discussion somewhere where it is explained why this is needed and why it is ok to backport?
Comment by George Amanakis (gamanakis) - Tuesday, 11 June 2013, 19:22 GMT Comment by Tom Gundersen (tomegun) - Tuesday, 11 June 2013, 19:31 GMT
Thanks. I'll still need the original reference (to the Bluez repo), but if you don't know I'll try to find it myself at some point.
Comment by George Amanakis (gamanakis) - Wednesday, 12 June 2013, 19:25 GMT Comment by Olaf the Lost Viking (OlafLostViking) - Tuesday, 18 June 2013, 10:22 GMT
As there was a new revision of the Arch package I tried to use that again. But it looks like the patches are not yet included. Any idea when we can rely on the Arch package again? Thank you!
Comment by George Amanakis (gamanakis) - Monday, 24 June 2013, 07:14 GMT
Patched PKGBUILD attached.
   PKGBUILD (3.2 KiB)

Loading...